Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.obj.desktop
Class OutlookSyncObject

    java.lang.Object
      local.tomas.mobile.sync.obj.desktop.OutlookSyncObject

All Implemented Interfaces:
  SyncObject

Direct Known Subclasses:
  OutlookRecurrableObject, OutlookSyncContact

    public abstract class OutlookSyncObject

extends java.lang.Object
implements SyncObject

Constructor Summary
`OutlookSyncObject()`

Method Summary
`
`<T> T`
` | `getAttribute(java.lang.String name, java.lang.Class<T> type)`
`protected abstract com.jacob.com.Dispatch` | `getDispatch()`
`java.sql.Timestamp` | `getLastModificationTime()`
`protected abstract OutlookInstance` | `getOutlookInstance()`
`java.lang.String` | `getUID()`
`
`<T> void`
` | `setAttribute(java.lang.String name, T value, java.lang.Class<T> type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface local.tomas.mobile.sync.obj.SyncObject
`getName`

Constructor Detail

### OutlookSyncObject

    public OutlookSyncObject()

Method Detail

### getDispatch

    protected abstract com.jacob.com.Dispatch getDispatch()

### getOutlookInstance

    protected abstract OutlookInstance getOutlookInstance()

### getAttribute

    public <T> T getAttribute(java.lang.String name,
                              java.lang.Class<T> type)

  Specified by:
    `getAttribute` in interface `SyncObject`

### setAttribute

    public <T> void setAttribute(java.lang.String name,
                                 T value,
                                 java.lang.Class<T> type)

  Specified by:
    `setAttribute` in interface `SyncObject`

### getUID

    public java.lang.String getUID()

  Specified by:
    `getUID` in interface `SyncObject`

### getLastModificationTime

    public java.sql.Timestamp getLastModificationTime()

  Specified by:
    `getLastModificationTime` in interface `SyncObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.